Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.navigation
Class TabNavigationHistorySelectable

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.navigation.TabNavigationHistorySelectable

All Implemented Interfaces:
  edu.stanford.smi.protege.util.Disposable, edu.stanford.smi.protege.util.Selectable, edu.stanford.smi.protege.util.SelectionListener, NavigationHistorySelectable, EventListener

    public class TabNavigationHistorySelectable

extends Object
implements edu.stanford.smi.protege.util.Disposable, NavigationHistorySelectable, edu.stanford.smi.protege.util.SelectionListener

Author:
  Holger Knublauch

Constructor Summary
`TabNavigationHistorySelectable(OWLModel owlModel)`

Method Summary
`void` | `addSelectionListener(edu.stanford.smi.protege.util.SelectionListener listener)` Adds a global selection listener to this to be notified whenever the user has selected a different resource.
`void` | `clearSelection()`
`void` | `dispose()`
`Collection` | `getSelection()`
`void` | `navigateToResource(RDFResource resource)` Performs the selection in the associated component(s).
`void` | `notifySelectionListeners()`
`void` | `reinit()`
`void` | `removeSelectionListener(edu.stanford.smi.protege.util.SelectionListener listener)`
`void` | `selectionChanged(edu.stanford.smi.protege.util.SelectionEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TabNavigationHistorySelectable

    public TabNavigationHistorySelectable(OWLModel owlModel)

Method Detail

### addSelectionListener

    public void addSelectionListener(edu.stanford.smi.protege.util.SelectionListener listener)

  Adds a global selection listener to this to be notified whenever the user has selected a different resource. The resulting SelectionEvents will be flagged to indicate whether the selection has changed as result of a programmatic

  Specified by:
    `addSelectionListener` in interface `edu.stanford.smi.protege.util.Selectable`
  Parameters:
    `listener` -

### clearSelection

    public void clearSelection()

  Specified by:
    `clearSelection` in interface `edu.stanford.smi.protege.util.Selectable`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `edu.stanford.smi.protege.util.Disposable`

### getSelection

    public Collection getSelection()

  Specified by:
    `getSelection` in interface `edu.stanford.smi.protege.util.Selectable`

### navigateToResource

    public void navigateToResource(RDFResource resource)

  Description copied from interface: `NavigationHistorySelectable`
  Performs the selection in the associated component(s).

  Specified by:
    `navigateToResource` in interface `NavigationHistorySelectable`
  Parameters:
    `resource` - the resource to navigate to

### notifySelectionListeners

    public void notifySelectionListeners()

  Specified by:
    `notifySelectionListeners` in interface `edu.stanford.smi.protege.util.Selectable`

### reinit

    public void reinit()

### removeSelectionListener

    public void removeSelectionListener(edu.stanford.smi.protege.util.SelectionListener listener)

  Specified by:
    `removeSelectionListener` in interface `edu.stanford.smi.protege.util.Selectable`

### selectionChanged

    public void selectionChanged(edu.stanford.smi.protege.util.SelectionEvent event)

  Specified by:
    `selectionChanged` in interface `edu.stanford.smi.protege.util.SelectionListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.